Bug 526179 - Review Request: rubygem-mixlib-cli - Simple ruby mixin for CLI interfaces
Summary: Review Request: rubygem-mixlib-cli - Simple ruby mixin for CLI interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 07:06 UTC by Matthew Kent
Modified: 2010-09-11 19:43 UTC (History)
3 users (show)

Fixed In Version: 1.0.4-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-19 17:47:37 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-09-29 07:06:48 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-cli.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-cli-1.0.4-1.fc12.src.rpm
Description: A simple mixin for CLI interfaces, including option parsing.

Looking for review and a sponsor for this or one of my earlier package submissions in #525988 or #525989. Thanks!

Comment 1 Mamoru TASAKA 2009-09-30 15:37:52 UTC
Some notes:

* Please change from %define to %global

* -doc subpackage has %files entry
-----------------------------------------------------
%files
%{gemdir}/gems/%{gemname}-%{version}/
-----------------------------------------------------
  This is already included in main package and should
  be dropped.

Comment 2 Matthew Kent 2009-10-05 06:30:47 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-cli.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-cli-1.0.4-2.fc12.src.rpm

* Sun Oct 4 2009 Matthew Kent <mkent@magoazul.com> - 1.0.4-2
- Remove redundant path in doc package (#526179).
- Use global over define (#526179).

Comment 3 Mamoru TASAKA 2009-10-05 14:54:47 UTC
(In reply to comment #2)
> SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-cli-1.0.4-2.fc12.src.rpm

Seems 404...

Comment 4 Matthew Kent 2009-10-06 05:50:45 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-cli-1.0.4-2.fc12.src.rpm
> 
> Seems 404...  

My apologies! Take two:

Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-cli.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-cli-1.0.4-3.fc12.src.rpm

* Mon Oct 5 2009 Matthew Kent <mkent@magoazul.com> - 1.0.4-3
- Remove unused ruby_sitelib macro (#526179).
- Remove redundant doc Requires on rubygems (#526179).

Comment 5 Mamoru TASAKA 2009-10-06 17:25:46 UTC
--------------------------------------------------------------
  This package (rubygem-mixlib-cli) is APPROVED by mtasaka
--------------------------------------------------------------

Comment 6 Mamoru TASAKA 2009-10-09 18:47:31 UTC
Please write CVS request for new package.

Comment 7 Matthew Kent 2009-10-09 21:33:30 UTC
New Package CVS Request
=======================
Package Name: rubygem-mixlib-cli
Short Description: Simple ruby mixin for CLI interfaces
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 8 Kevin Fenzi 2009-10-10 22:17:20 UTC
cvs done.

Comment 9 Mamoru TASAKA 2009-10-19 17:47:37 UTC
Closing.

Comment 10 Fedora Update System 2009-10-21 00:44:04 UTC
rubygem-mixlib-cli-1.0.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Michael Stahnke 2010-09-10 20:24:02 UTC
Package Change Request
======================
Package Name: rubygem-mixlib-cli
New Branches: el5 el6
Owners: stahnma

mkent is aware of request.

Comment 12 Kevin Fenzi 2010-09-11 19:43:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.